org.apache.calcite.avatica.proto

## Interface Common.ColumnMetaDataOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.ColumnMetaData, Common.ColumnMetaData.Builder

Enclosing class:
  Common

    public static interface Common.ColumnMetaDataOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getAutoIncrement()` `optional bool auto_increment = 2;`
`boolean` `getCaseSensitive()` `optional bool case_sensitive = 3;`
`String` `getCatalogName()` `optional string catalog_name = 15;`
`com.google.protobuf.ByteString` `getCatalogNameBytes()` `optional string catalog_name = 15;`
`String` `getColumnClassName()` `optional string column_class_name = 19;`
`com.google.protobuf.ByteString` `getColumnClassNameBytes()` `optional string column_class_name = 19;`
`String` `getColumnName()` `optional string column_name = 10;`
`com.google.protobuf.ByteString` `getColumnNameBytes()` `optional string column_name = 10;`
`boolean` `getCurrency()` `optional bool currency = 5;`
`boolean` `getDefinitelyWritable()` `optional bool definitely_writable = 18;`
`int` `getDisplaySize()` `optional uint32 display_size = 8;`
`String` `getLabel()` `optional string label = 9;`
`com.google.protobuf.ByteString` `getLabelBytes()` `optional string label = 9;`
`int` `getNullable()` `optional uint32 nullable = 6;`
`int` `getOrdinal()` `optional uint32 ordinal = 1;`
`int` `getPrecision()` `optional uint32 precision = 12;`
`boolean` `getReadOnly()` `optional bool read_only = 16;`
`int` `getScale()` `optional uint32 scale = 13;`
`String` `getSchemaName()` `optional string schema_name = 11;`
`com.google.protobuf.ByteString` `getSchemaNameBytes()` `optional string schema_name = 11;`
`boolean` `getSearchable()` `optional bool searchable = 4;`
`boolean` `getSigned()` `optional bool signed = 7;`
`String` `getTableName()` `optional string table_name = 14;`
`com.google.protobuf.ByteString` `getTableNameBytes()` `optional string table_name = 14;`
`Common.AvaticaType` `getType()` `optional .AvaticaType type = 20;`
`Common.AvaticaTypeOrBuilder` `getTypeOrBuilder()` `optional .AvaticaType type = 20;`
`boolean` `getWritable()` `optional bool writable = 17;`
`boolean` `hasType()` `optional .AvaticaType type = 20;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getOrdinal

    int getOrdinal()

`optional uint32 ordinal = 1;`

#### getAutoIncrement

    boolean getAutoIncrement()

`optional bool auto_increment = 2;`

#### getCaseSensitive

    boolean getCaseSensitive()

`optional bool case_sensitive = 3;`

#### getSearchable

    boolean getSearchable()

`optional bool searchable = 4;`

#### getCurrency

    boolean getCurrency()

`optional bool currency = 5;`

#### getNullable

    int getNullable()

`optional uint32 nullable = 6;`

#### getSigned

    boolean getSigned()

`optional bool signed = 7;`

#### getDisplaySize

    int getDisplaySize()

`optional uint32 display_size = 8;`

#### getLabel

    String getLabel()

`optional string label = 9;`

#### getLabelBytes

    com.google.protobuf.ByteString getLabelBytes()

`optional string label = 9;`

#### getColumnName

    String getColumnName()

`optional string column_name = 10;`

#### getColumnNameBytes

    com.google.protobuf.ByteString getColumnNameBytes()

`optional string column_name = 10;`

#### getSchemaName

    String getSchemaName()

`optional string schema_name = 11;`

#### getSchemaNameBytes

    com.google.protobuf.ByteString getSchemaNameBytes()

`optional string schema_name = 11;`

#### getPrecision

    int getPrecision()

`optional uint32 precision = 12;`

#### getScale

    int getScale()

`optional uint32 scale = 13;`

#### getTableName

    String getTableName()

`optional string table_name = 14;`

#### getTableNameBytes

    com.google.protobuf.ByteString getTableNameBytes()

`optional string table_name = 14;`

#### getCatalogName

    String getCatalogName()

`optional string catalog_name = 15;`

#### getCatalogNameBytes

    com.google.protobuf.ByteString getCatalogNameBytes()

`optional string catalog_name = 15;`

#### getReadOnly

    boolean getReadOnly()

`optional bool read_only = 16;`

#### getWritable

    boolean getWritable()

`optional bool writable = 17;`

#### getDefinitelyWritable

    boolean getDefinitelyWritable()

`optional bool definitely_writable = 18;`

#### getColumnClassName

    String getColumnClassName()

`optional string column_class_name = 19;`

#### getColumnClassNameBytes

    com.google.protobuf.ByteString getColumnClassNameBytes()

`optional string column_class_name = 19;`

#### hasType

    boolean hasType()

`optional .AvaticaType type = 20;`

#### getType

    Common.AvaticaType getType()

`optional .AvaticaType type = 20;`

#### getTypeOrBuilder

    Common.AvaticaTypeOrBuilder getTypeOrBuilder()

`optional .AvaticaType type = 20;`